Bug 1460500 - SELinux Alert Browser view mangled and "Report bug" option missing
SELinux Alert Browser view mangled and "Report bug" option missing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
26
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-11 06:16 EDT by Mirek Svoboda
Modified: 2018-03-25 05:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-25 05:11:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The affected view of alert 2 - try 1 (55.54 KB, image/png)
2017-06-11 06:16 EDT, Mirek Svoboda
no flags Details
The affected view of alert 2 - try 2 (51.69 KB, image/png)
2017-06-11 06:20 EDT, Mirek Svoboda
no flags Details
View of actual alert 3 - correct (68.58 KB, image/png)
2017-06-11 06:21 EDT, Mirek Svoboda
no flags Details
View of actual alert 1 - correct (65.82 KB, image/png)
2017-06-11 06:22 EDT, Mirek Svoboda
no flags Details

  None (edit)
Description Mirek Svoboda 2017-06-11 06:16:45 EDT
Created attachment 1286819 [details]
The affected view of alert 2 - try 1

Description of problem:
During operation:
dnf update
I have received a new selinux alerts. While browsing them with SELinux Alert Browser and reporting them as bugs, it seems that the SELinux Alert Browser (further referred to as SAB) misbehaves.

Version-Release number of selected component (if applicable):
setroubleshoot-server-3.3.11-3.fc26.x86_64

How reproducible:
Run dnf update, browse SELinux alerts and report bug for each of the reported alerts.

Steps to Reproduce:
1. dnf update
2. Open SELinux Alert Browser
3. Browse through the reported alerts. Report bug for each of them.

Actual results:
There are three alerts. For alert 1 and alert 3, information is properly displayed and report bug option is available. For alert 2, wrong information is displayed (date, alert number) and "report bug" option is missing. The date for alert 2 is the date of other alert, which was displayed prior displaying alert 2. I.e. if alert 1 is displayed and Next is clicked, then the date of alert 1 is displayed instead of date of alert 2 and also number of the alert keeps sayiing alert 1 of 3. If alert 3 is displayed and Previous is clicked, then date and alert number of alert 3 is retained in the view, while description of alert 2 is displayed and Report bug option is missing.

Expected results:
Proper alert number and date are displayed for alert 2.
Report bug option is displayed for alert 2.

Additional info:
Comment 1 Mirek Svoboda 2017-06-11 06:20 EDT
Created attachment 1286820 [details]
The affected view of alert 2 - try 2
Comment 2 Mirek Svoboda 2017-06-11 06:21 EDT
Created attachment 1286821 [details]
View of actual alert 3 - correct
Comment 3 Mirek Svoboda 2017-06-11 06:22 EDT
Created attachment 1286822 [details]
View of actual alert 1 - correct
Comment 4 Mirek Svoboda 2017-06-11 06:23:29 EDT
Please let me know if you need more info from affected system.
Comment 5 Petr Lautrbach 2017-07-12 07:20:04 EDT
(In reply to Mirek Svoboda from comment #0)
> Expected results:
> Proper alert number and date are displayed for alert 2.

We were not able to reproduce it locally. Is it still problem for you with the latest setroubleshoot?
Is this issue repeatable or was it one time problem?

> Report bug option is displayed for alert 2.

Some of the plugins don't allow "Report Bug" button and this is one of them.

Could you please share the complete sealert report with AVC messages?
Either use 'Details' button or 'sealert -l <id>' command
Comment 6 Mirek Svoboda 2017-07-19 04:55:46 EDT
I cannot reproduce the issue now. Seems it happened only with such AVC report involved which does not allow for sending a bug report. Currently, there are no such reports stored on my system.
Comment 7 Mirek Svoboda 2018-03-25 05:11:28 EDT
I think this is obsolete now.

Note You need to log in before you can comment on or make changes to this bug.